org.apache.poi.hemf.record.emfplus

## Enum HemfPlusRecordType

- java.lang.Object
- - java.lang.Enum<HemfPlusRecordType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusRecordType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusRecordType>

      @Internal
      public enum HemfPlusRecordType
      extends java.lang.Enum<HemfPlusRecordType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `beginContainer`
    `beginContainerNoParams`
    `clear`
    `comment`
    `drawArc`
    `drawBeziers`
    `drawClosedCurve`
    `drawCurve`
    `drawDriverString`
    `drawEllipse`
    `drawImage`
    `drawImagePoints`
    `drawLines`
    `drawPath`
    `drawPie`
    `drawRects`
    `drawString`
    `endContainer`
    `eof`
    `fillClosedCurve`
    `fillEllipse`
    `fillPath`
    `fillPie`
    `fillPolygon`
    `fillRects`
    `fillRegion`
    `getDC`
    `header`
    `multiFormatEnd`
    `multiFormatSection`
    `multiFormatStart`
    `multiplyWorldTransform`
    `object`
    `offsetClip`
    `resetClip`
    `resetWorldTransform`
    `restore`
    `rotateWorldTransform`
    `save`
    `scaleWorldTransform`
    `serializableObject`
    `setAntiAliasMode`
    `setClipPath`
    `setClipRect`
    `setClipRegion`
    `setCompositingMode`
    `setCompositingQuality`
    `setInterpolationMode`
    `setPageTransform`
    `setPixelOffsetMode`
    `setRenderingOrigin`
    `setTextContrast`
    `setTextRenderingHint`
    `setTSClip`
    `setTSGraphics`
    `setWorldTransform`
    `strokeFillPath`
    `translateWorldTransform`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.function.Supplier<? extends HemfPlusRecord>` | `constructor`
    `long` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusRecordType` | `getById(long id)`
    `static HemfPlusRecordType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusRecordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### header

          public static final HemfPlusRecordType header

    - #### eof

          public static final HemfPlusRecordType eof

    - #### comment

          public static final HemfPlusRecordType comment

    - #### getDC

          public static final HemfPlusRecordType getDC

    - #### multiFormatStart

          public static final HemfPlusRecordType multiFormatStart

    - #### multiFormatSection

          public static final HemfPlusRecordType multiFormatSection

    - #### multiFormatEnd

          public static final HemfPlusRecordType multiFormatEnd

    - #### object

          public static final HemfPlusRecordType object

    - #### clear

          public static final HemfPlusRecordType clear

    - #### fillRects

          public static final HemfPlusRecordType fillRects

    - #### drawRects

          public static final HemfPlusRecordType drawRects

    - #### fillPolygon

          public static final HemfPlusRecordType fillPolygon

    - #### drawLines

          public static final HemfPlusRecordType drawLines

    - #### fillEllipse

          public static final HemfPlusRecordType fillEllipse

    - #### drawEllipse

          public static final HemfPlusRecordType drawEllipse

    - #### fillPie

          public static final HemfPlusRecordType fillPie

    - #### drawPie

          public static final HemfPlusRecordType drawPie

    - #### drawArc

          public static final HemfPlusRecordType drawArc

    - #### fillRegion

          public static final HemfPlusRecordType fillRegion

    - #### fillPath

          public static final HemfPlusRecordType fillPath

    - #### drawPath

          public static final HemfPlusRecordType drawPath

    - #### fillClosedCurve

          public static final HemfPlusRecordType fillClosedCurve

    - #### drawClosedCurve

          public static final HemfPlusRecordType drawClosedCurve

    - #### drawCurve

          public static final HemfPlusRecordType drawCurve

    - #### drawBeziers

          public static final HemfPlusRecordType drawBeziers

    - #### drawImage

          public static final HemfPlusRecordType drawImage

    - #### drawImagePoints

          public static final HemfPlusRecordType drawImagePoints

    - #### drawString

          public static final HemfPlusRecordType drawString

    - #### setRenderingOrigin

          public static final HemfPlusRecordType setRenderingOrigin

    - #### setAntiAliasMode

          public static final HemfPlusRecordType setAntiAliasMode

    - #### setTextRenderingHint

          public static final HemfPlusRecordType setTextRenderingHint

    - #### setTextContrast

          public static final HemfPlusRecordType setTextContrast

    - #### setInterpolationMode

          public static final HemfPlusRecordType setInterpolationMode

    - #### setPixelOffsetMode

          public static final HemfPlusRecordType setPixelOffsetMode

    - #### setCompositingMode

          public static final HemfPlusRecordType setCompositingMode

    - #### setCompositingQuality

          public static final HemfPlusRecordType setCompositingQuality

    - #### save

          public static final HemfPlusRecordType save

    - #### restore

          public static final HemfPlusRecordType restore

    - #### beginContainer

          public static final HemfPlusRecordType beginContainer

    - #### beginContainerNoParams

          public static final HemfPlusRecordType beginContainerNoParams

    - #### endContainer

          public static final HemfPlusRecordType endContainer

    - #### setWorldTransform

          public static final HemfPlusRecordType setWorldTransform

    - #### resetWorldTransform

          public static final HemfPlusRecordType resetWorldTransform

    - #### multiplyWorldTransform

          public static final HemfPlusRecordType multiplyWorldTransform

    - #### translateWorldTransform

          public static final HemfPlusRecordType translateWorldTransform

    - #### scaleWorldTransform

          public static final HemfPlusRecordType scaleWorldTransform

    - #### rotateWorldTransform

          public static final HemfPlusRecordType rotateWorldTransform

    - #### setPageTransform

          public static final HemfPlusRecordType setPageTransform

    - #### resetClip

          public static final HemfPlusRecordType resetClip

    - #### setClipRect

          public static final HemfPlusRecordType setClipRect

    - #### setClipRegion

          public static final HemfPlusRecordType setClipRegion

    - #### setClipPath

          public static final HemfPlusRecordType setClipPath

    - #### offsetClip

          public static final HemfPlusRecordType offsetClip

    - #### drawDriverString

          public static final HemfPlusRecordType drawDriverString

    - #### strokeFillPath

          public static final HemfPlusRecordType strokeFillPath

    - #### serializableObject

          public static final HemfPlusRecordType serializableObject

    - #### setTSGraphics

          public static final HemfPlusRecordType setTSGraphics

    - #### setTSClip

          public static final HemfPlusRecordType setTSClip

  - ### Field Detail

    - #### id

          public final long id

    - #### constructor

          public final java.util.function.Supplier<? extends HemfPlusRecord> constructor

  - ### Method Detail

    - #### values

          public static HemfPlusRecordType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusRecordType c : HemfPlusRecordType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusRecordType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getById

          public static HemfPlusRecordType getById(long id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.